Bug 39844 - [GTK] The EventSender should support simulating drop events
Summary: [GTK] The EventSender should support simulating drop events
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 38853 39843 40600
Blocks: 30623 40788
  Show dependency treegraph
 
Reported: 2010-05-27 08:28 PDT by Martin Robinson
Modified: 2010-07-26 15:35 PDT (History)
0 users

See Also:


Attachments
Patch for this issue (33.92 KB, patch)
2010-06-16 11:56 PDT, Martin Robinson
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2010-05-27 08:28:48 PDT
Currently the EventSender can simulate starting dragss, but not simulate a drop. This requires first landing rudimentary leapForward support, which includes the basic logic for walking the event queue.
Comment 1 Martin Robinson 2010-06-16 11:56:46 PDT
Created attachment 58918 [details]
Patch for this issue
Comment 2 Gustavo Noronha (kov) 2010-07-23 11:33:46 PDT
Comment on attachment 58918 [details]
Patch for this issue

Simpler than I was expecting, tbh =)
Comment 3 Martin Robinson 2010-07-26 15:35:06 PDT
Committed r64082: <http://trac.webkit.org/changeset/64082>